---
title: "Create a New User-Defined Imaging Document"
slug: "create-a-new-user-defined-imaging-document"
updated: 2026-05-26T12:48:31Z
published: 2026-05-26T12:48:45Z
canonical: "developers.cmicglobal.com/create-a-new-user-defined-imaging-document"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a New User-Defined Imaging Document

Post/ecm-rest-api/jersey/v1/UploadData/createDoc

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.resourceItem+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='4414cf31-9846-4aed-9fe2-b5887ca93222'>multipart/form-data</option>
</select>object  fileDetailsstring    Example{
  "srcUuid": "UUID of Imaging Source",
  "docTypeUuid": "UUID of Document Type",
  "payload": {
    "flysheets": [
      {
        "FlysheetName": "Name of Flysheet",
        "data": [
          {
            "fieldName": 'fieldName'
          }
        ]
      },
      {
        "FlysheetName": "Name of next Flysheet",
        "data": [
          {
            "fieldName": "data for flysheet, etc."
          }
        ]
      }
    ]
  }
}
document-content-filestring  (binary)    

Responses201

Successful response

<select class='api-response-data' aria-label='Media type'><option value='18951e19-6e00-468a-b037-2daf38cd7347'>application/json</option>
</select>
